TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get nominator positions in nominator pools

GET
/api/v3/staking/nominatorPools/nominator

Return the nominator's positions in all nominator pools.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

nominator*string

Nominator address in any form.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/staking/nominatorPools/nominator?nominator=string"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "nominator_pools": [
    {
      "balance": "string",
      "pending_balance": "string",
      "pool_address": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}